Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix should be cherry-picked

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2018 19:14:29 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 20 Nov 2018 18:16:19 +0200
> 
> On 20.11.2018 17:58, Eli Zaretskii wrote:
> 
> > Thanks, but I'm not convinced we should backport that change.  We
> > don't fix every bug on the release branch, only the important onces.
> 
> An argument could be made about the lesser impotance of stability 
> guarantees for the Cairo users (since it's already broken). So I'd ask 
> whether the given patch makes it considerably more usable, so that more 
> people are likely to try the --with-cairo build and submit patches/bug 
> reports/etc.

Good point.  I'd like to know the answer to that.

> > And the Cairo configuration doesn't strike me as important, what with
> > all the additional known bugs specific to it.
> 
> IIRC, somebody said it's the best approach we have for supporting 
> Wayland someday. I think it's a worthy goal.

Sure, but it needs someone to work on making it usable and on fixing
the bugs.  Otherwise, it's just a teaser.